Bug 1069928 - /usr/bin/pki: No such file or directory
Summary: /usr/bin/pki: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: strongswan
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 23:08 UTC by Michael Rasmussen
Modified: 2014-03-29 19:18 UTC (History)
3 users (show)

Fixed In Version: strongswan-5.1.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-29 19:18:24 UTC
Type: Bug


Attachments (Terms of Use)
Changes name of pki tool to strongswan-pki (447 bytes, patch)
2014-02-26 00:41 UTC, Michael Rasmussen
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1062954 0 unspecified CLOSED strongswan-pki segfaults 2021-02-22 00:41:40 UTC
strongSwan 552 0 None None None Never

Description Michael Rasmussen 2014-02-25 23:08:25 UTC
Description of problem:
When trying to use strongswan's built in commands to manage a certificate authority, a file not found error is thrown.

[root ~]# strongswan pki --gen --outform pem > /etc/pki/tls/private/caKey.pem
/usr/sbin/strongswan: line 319: /usr/bin/pki: No such file or directory
/usr/sbin/strongswan: line 319: exec: /usr/bin/pki: cannot execute: No such file or directory
[root ~]#

Version-Release number of selected component (if applicable):
strongswan.x86_64                 5.1.1-4.el6          @epel                    
strongswan-tnc-imcvs.x86_64       5.1.1-4.el6          @epel      

How reproducible:
Always

Steps to Reproduce:
1. Install strongswan package from EPEL repository
2. Run: strongswan pki --gen --outform pem

Actual results:
File not found Error Message

Expected results:
PEM format certificate output

Additional info:
I downloaded the source RPM and unpackaged it. The spec file shows the /usr/sbin/pki file is being renamed to strongswan-pki on lines 159-160.

159 #rename /usr/bin/pki to avoid conflict with pki-core/pki-tools
160 mv %{buildroot}%{_bindir}/pki %{buildroot}%{_bindir}/%{name}-pki

It seems a patch is needed for the strongswan source to tell it the pki tools new name.

Comment 1 Anssi Johansson 2014-02-25 23:28:00 UTC
This bug is filed for EPEL7. However, you seem to be using EPEL6 packages. I'd assume the EPEL7 was a mistake.

Comment 2 Michael Rasmussen 2014-02-26 00:41:37 UTC
Created attachment 867683 [details]
Changes name of pki tool to strongswan-pki

Attached patch should fix the file not found issue for the renaming of the strongSwan pki tool from pki to strongswan-pki.

Comment 3 Pavel Šimerda (pavlix) 2014-03-04 08:27:36 UTC
I believe the fix from Avesh (in dist-git master) will work.

Comment 4 Fedora Update System 2014-03-15 17:00:00 UTC
strongswan-5.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/strongswan-5.1.2-2.el6

Comment 5 Fedora Update System 2014-03-17 05:59:47 UTC
Package strongswan-5.1.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.1.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0881/strongswan-5.1.2-2.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-03-19 20:21:33 UTC
Package strongswan-5.1.2-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.1.2-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0881/strongswan-5.1.2-3.el6
then log in and leave karma (feedback).

Comment 7 Andreas Bierfert 2014-03-24 10:09:22 UTC
Still broken in -3.

/usr/sbin/strongswan:
IPSEC_BINDIR="/usr/bin"
...
exec $IPSEC_BINDIR/pki "$@"

Comment 8 Pavel Šimerda (pavlix) 2014-03-24 11:40:02 UTC
Updated the patch, posted upstream:

http://wiki.strongswan.org/issues/552

Comment 9 Andreas Bierfert 2014-03-24 12:23:05 UTC
5.1.2-4.el6 fixes this for me. Thanks for the quick update :)

Comment 10 Pavel Šimerda (pavlix) 2014-03-24 13:53:45 UTC
(In reply to Andreas Bierfert from comment #9)
> 5.1.2-4.el6 fixes this for me. Thanks for the quick update :)

I owe you big thanks for taking over the whole testing!

Cheers,

Pavel

Comment 11 Fedora Update System 2014-03-29 19:18:24 UTC
strongswan-5.1.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.